import { BreadcrumbList, WithContext } from "schema-dts";
import { BreadcrumbItem } from "../types";
/**
 * Generates a Schema.org BreadcrumbList representation from an array of BreadcrumbItem.
 * @param breadcrumbs - An array of BreadcrumbItem containing information about each breadcrumb.
 * @returns A structured data object conforming to the Schema.org BreadcrumbList specification.
 */
export declare const generateBreadcrumbListSchema: (breadcrumbs: BreadcrumbItem[]) => WithContext<BreadcrumbList>;
